
/**
 * Write a description of class GereParq here.
 * 
 * @author DCC + PRH
 * @version 02.05.2006
 */
public class GereParq
{
    public static void main (String[] args)
    {
        final int MAXUTS=25000, MAXPG=8, MAXPA=5;
        
        Utentes Uts2006;
        Parques ParquesG;
        Viatura[] v = new Viatura[10];
        v[0] = new Viatura("citroen","xsara","99-AA-99");

        // inicializacao dos Utentes
        Uts2006 = new Utentes(MAXUTS); 
        Uts2006.insUtente("0187","PRH","DI","4469",'F',v);
        
        // inicializacao dos Parques
        ParquesG = new Parques(MAXPG); 
        ParquesG.insParque("1",200,'F');
        ParquesG.insParque("6",250,'T');
                
        //Primeiro teste: 
        ParquesG.Entra("1",Uts2006.getUtente("0187"));
        ParquesG.Entra("1",Uts2006.getUtente("0187"));
        ParquesG.Sai("1",Uts2006.getUtente("0187"));
    }
}
